- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | Protected Member Functions

# QStyleOptionProgressBar Class Reference

Search for all occurrences

## Detailed Description

Definition at line 396 of file qstyleoption.h.

`#include <qstyleoption.h>`

Inheritance diagram for QStyleOptionProgressBar:
[legend]

List of all members.

## Public Types
enum | StyleOptionType { Type = SO_ProgressBar }
enum | StyleOptionVersion { Version = 1 }
## Public Member Functions
| QStyleOptionProgressBar ()
| QStyleOptionProgressBar (const QStyleOptionProgressBar &other)
## Public Attributes
int | minimum
int | maximum
int | progress
QString | text
Qt::Alignment | textAlignment
bool | textVisible
## Protected Member Functions
| QStyleOptionProgressBar (int version)

## Member Enumeration Documentation

enum StyleOptionType

Search for all occurrences

Enumerator:

  Type | Search for all occurrences

Reimplemented from QStyleOption.

Reimplemented in QStyleOptionProgressBarV2.

Definition at line 399 of file qstyleoption.h.

    { Type = SO_ProgressBar };

enum StyleOptionVersion

Search for all occurrences

Enumerator:

  Version | Search for all occurrences

Reimplemented from QStyleOption.

Reimplemented in QStyleOptionProgressBarV2.

Definition at line 400 of file qstyleoption.h.

    { Version = 1 };

## Constructor & Destructor Documentation

QStyleOptionProgressBar | ( |  | ) |

QStyleOptionProgressBar | ( | const QStyleOptionProgressBar & | other | ) | `[inline]`

Definition at line 410 of file qstyleoption.h.

    : QStyleOption(Version, Type) { *this = other; }

QStyleOptionProgressBar | ( | int | version | ) | `[protected]`

## Member Data Documentation

int minimum

Search for all occurrences

Definition at line 402 of file qstyleoption.h.

int maximum

Search for all occurrences

Definition at line 403 of file qstyleoption.h.

int progress

Search for all occurrences

Definition at line 404 of file qstyleoption.h.

QString text

Search for all occurrences

Definition at line 405 of file qstyleoption.h.

Qt::Alignment textAlignment

Search for all occurrences

Definition at line 406 of file qstyleoption.h.

bool textVisible

Search for all occurrences

Definition at line 407 of file qstyleoption.h.

The documentation for this class was generated from the following file:

- QtGui/qstyleoption.h

QStyleOptionProgressBar QStyleOptionProgressBar QStyleOptionProgressBar QStyleOptionProgressBar QStyleOptionProgressBar QStyleOptionProgressBar QStyleOptionProgressBar QStyleOptionProgressBar QStyleOptionProgressBar QStyleOptionProgressBar
QStyleOptionProgressBar QStyleOptionProgressBar QStyleOptionProgressBar QStyleOptionProgressBar QStyleOptionProgressBar QStyleOptionProgressBar QStyleOptionProgressBar QStyleOptionProgressBar QStyleOptionProgressBar QStyleOptionProgressBar